# DBus-C++

## Desktop Communication Bus System

libdbus-c-- Documentation 0.9.0

- Files
- Data Structures
- Globals
- Main Page

Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes | List of all members
DBus::Object Class Referenceabstract

`#include <object.h>`

Inheritance diagram for DBus::Object:

## Public Member Functions

virtual | ~Object ()
const DBus::Path & | path () const
const std::string & | service () const
Connection & | conn ()
void | set_timeout (int new_timeout=-1)
int | get_timeout () const

## Protected Member Functions

| Object (Connection &conn, const Path &path, const char *service)

## Private Member Functions

virtual DXXAPILOCAL bool | handle_message (const Message &)=0
virtual DXXAPILOCAL void | register_obj ()=0
virtual DXXAPILOCAL void | unregister_obj (bool throw_on_error=true)=0

## Private Attributes

Connection | _conn
DBus::Path | _path
std::string | _service
int | _default_timeout

## Detailed Description

Definition at line 40 of file object.h.

## Constructor & Destructor Documentation

## ◆ Object()

Object::Object | ( | Connection & | conn,
|  | const Path & | path,
|  | const char * | service )

protected

Definition at line 42 of file object.cpp.

References _conn, _default_timeout, _path, _service, conn(), path(), and service().

Referenced by DBus::ObjectAdaptor::ObjectAdaptor(), and DBus::ObjectProxy::ObjectProxy().

## ◆ ~Object()

Object::~Object | ( |  | ) |

virtual

Definition at line 47 of file object.cpp.

## Member Function Documentation

## ◆ conn()

Connection & DBus::Object::conn | ( |  | ) |

inline

Definition at line 77 of file object.h.

References _conn.

Referenced by DBus::ObjectAdaptor::_emit_signal(), DBus::ObjectProxy::_invoke_method(), DBus::ObjectProxy::_invoke_method_noreply(), DBus::ObjectAdaptor::Continuation::Continuation(), DBus::ObjectAdaptor::handle_message(), Object(), DBus::ObjectAdaptor::ObjectAdaptor(), DBus::ObjectProxy::ObjectProxy(), DBus::ObjectAdaptor::register_obj(), DBus::ObjectProxy::register_obj(), DBus::ObjectAdaptor::Private::unregister_function_stub(), DBus::ObjectAdaptor::unregister_obj(), and DBus::ObjectProxy::unregister_obj().

## ◆ get_timeout()

int DBus::Object::get_timeout | ( |  | ) | const

inline

Definition at line 92 of file object.h.

References _default_timeout.

Referenced by DBus::ObjectProxy::_invoke_method().

## ◆ handle_message()

virtual DXXAPILOCAL bool DBus::Object::handle_message | ( | const Message & |  | ) |

private pure virtual

Implemented in DBus::ObjectAdaptor, and DBus::ObjectProxy.

References DXXAPILOCAL.

## ◆ path()

const DBus::Path & DBus::Object::path | ( |  | ) | const

inline

Definition at line 82 of file object.h.

References _path.

Referenced by DBus::ObjectAdaptor::_emit_signal(), DBus::ObjectProxy::_invoke_method(), DBus::ObjectProxy::_invoke_method_noreply(), DBus::ObjectAdaptor::from_path(), DBus::ObjectProxy::handle_message(), DBus::IntrospectableAdaptor::Introspect(), DBus::ObjectAdaptor::Private::message_function_stub(), Object(), DBus::ObjectAdaptor::ObjectAdaptor(), DBus::ObjectProxy::ObjectProxy(), DBus::ObjectAdaptor::register_obj(), DBus::ObjectProxy::register_obj(), DBus::ObjectAdaptor::unregister_obj(), and DBus::ObjectProxy::unregister_obj().

## ◆ register_obj()

virtual DXXAPILOCAL void DBus::Object::register_obj | ( |  | ) |

private pure virtual

Implemented in DBus::ObjectAdaptor, and DBus::ObjectProxy.

References DXXAPILOCAL.

## ◆ service()

const std::string & DBus::Object::service | ( |  | ) | const

inline

Definition at line 87 of file object.h.

References _service.

Referenced by DBus::ObjectProxy::_invoke_method(), DBus::ObjectProxy::_invoke_method_noreply(), Object(), and DBus::ObjectProxy::ObjectProxy().

## ◆ set_timeout()

void Object::set_timeout | ( | int | new_timeout = -1 | ) |

Definition at line 51 of file object.cpp.

References _default_timeout, and DBus::debug_log.

## ◆ unregister_obj()

virtual DXXAPILOCAL void DBus::Object::unregister_obj | ( | bool | throw_on_error = true | ) |

private pure virtual

Implemented in DBus::ObjectAdaptor, and DBus::ObjectProxy.

References DXXAPILOCAL.

## Member Data Documentation

## ◆ _conn

Connection DBus::Object::_conn

private

Definition at line 68 of file object.h.

Referenced by conn(), and Object().

## ◆ _default_timeout

int DBus::Object::_default_timeout

private

Definition at line 71 of file object.h.

Referenced by get_timeout(), Object(), and set_timeout().

## ◆ _path

DBus::Path DBus::Object::_path

private

Definition at line 69 of file object.h.

Referenced by Object(), and path().

## ◆ _service

std::string DBus::Object::_service

private

Definition at line 70 of file object.h.

Referenced by Object(), and service().

The documentation for this class was generated from the following files:

- object.h
- object.cpp